pipeline {
    agent any

    stages {
        stage('[Neutral] - Déploiement') {
            steps {
                script {
        
                    echo "[Neutral-Deploy] - Deploy Stage"
                    sh "ssh raphix@raphix.fr sudo apt update -y"
                    sh "ssh raphix@raphix.fr sudo apt upgrade -y"
                    sh "ssh raphix@raphix.fr sudo -S -u gitlab-ci /home/gitlab-ci/neutral_deploy.sh"
                        
                }
                
            }
        }
    }
}